## org.python.core
Class CachedJarsPackageManager.JarXEntry

    java.lang.Object
      |
      +--org.python.core.CachedJarsPackageManager.JarXEntry

Enclosing class:
  CachedJarsPackageManager

public static class CachedJarsPackageManager.JarXEntry
extends java.lang.Object

To pass a cachefile id by ref. And for internal use. See outCreateCacheFile

Field Summary
`java.lang.String` `cachefile` cachefile id
`long` `mtime`

Constructor Summary
`CachedJarsPackageManager.JarXEntry(java.lang.String cachefile)`
`CachedJarsPackageManager.JarXEntry(java.lang.String cachefile, long mtime)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cachefile

    public java.lang.String cachefile

  cachefile id

### mtime

    public long mtime

Constructor Detail

### CachedJarsPackageManager.JarXEntry

    public CachedJarsPackageManager.JarXEntry(java.lang.String cachefile)

### CachedJarsPackageManager.JarXEntry

    public CachedJarsPackageManager.JarXEntry(java.lang.String cachefile,
                                              long mtime)

Jython homepage